function init(hero) {
    hero.setName("Cable");
    hero.setTier(6);
    
	hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.torso");
    hero.setLeggings("item.superhero_armor.piece.legs");
    hero.setBoots("item.superhero_armor.piece.boots");
    hero.addPrimaryEquipment("fiskheroes:chronos_rifle", true);
    
    hero.addPowers( "pack:cosmic_empowerment", "pack:tk");
	  hero.addAttribute("WEAPON_DAMAGE", 6.0, 0);
   hero.addAttribute("PUNCH_DAMAGE", 11, 0);
    hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 0.4, 1);
    hero.addAttribute("SPRINT_SPEED", 0.25, 1);	
    hero.addAttribute("STEP_HEIGHT", 0.35, 1);     	
	
	
	
	    hero.addKeyBind("TELEPORT", "Bodyslide", 2); 
	   hero.addKeyBind("SHIELD", "TK Shield", 1);
    hero.addKeyBind("SLOW_MOTION", "Telepathic Freeze", 3);
    hero.addKeyBind("CHARGED_BEAM", "TK Bolt", 4);
    hero.addKeyBind("TELEKINESIS", "Telekinesis", 5);
	
   hero.addKeyBind("AIM", "key.aim", -1);   
     
       hero.setDefaultScale(1.05); 
    hero.setHasPermission(hasPermission);
    hero.supplyFunction("canAim", canAim);
 
}


function hasPermission(entity, permission) {
    return permission == "USE_CHRONOS_RIFLE";
}

function canAim(entity) {
    return entity.getHeldItem().name() == "fiskheroes:chronos_rifle";
}


